send-kakao-friendtalk
curl --request POST \
--url https://api.notifly.tech/messages/kakao-friendtalk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"messageType": "text",
"isAd": false,
"recipientList": [
{
"recipientNo": "01012345678",
"content": {
"text": "안녕하세요! 새로운 이벤트 소식을 알려드립니다."
}
}
]
}
'import requests
url = "https://api.notifly.tech/messages/kakao-friendtalk"
payload = {
"projectId": "example_project_1234567890abcdef",
"messageType": "text",
"isAd": False,
"recipientList": [
{
"recipientNo": "01012345678",
"content": { "text": "안녕하세요! 새로운 이벤트 소식을 알려드립니다." }
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 'example_project_1234567890abcdef',
messageType: 'text',
isAd: false,
recipientList: [{recipientNo: '01012345678', content: {text: '안녕하세요! 새로운 이벤트 소식을 알려드립니다.'}}]
})
};
fetch('https://api.notifly.tech/messages/kakao-friendtalk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/messages/kakao-friendtalk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => 'example_project_1234567890abcdef',
'messageType' => 'text',
'isAd' => false,
'recipientList' => [
[
'recipientNo' => '01012345678',
'content' => [
'text' => '안녕하세요! 새로운 이벤트 소식을 알려드립니다.'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/messages/kakao-friendtalk"
payload := strings.NewReader("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"messageType\": \"text\",\n \"isAd\": false,\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"content\": {\n \"text\": \"안녕하세요! 새로운 이벤트 소식을 알려드립니다.\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.notifly.tech/messages/kakao-friendtalk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"messageType\": \"text\",\n \"isAd\": false,\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"content\": {\n \"text\": \"안녕하세요! 새로운 이벤트 소식을 알려드립니다.\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/messages/kakao-friendtalk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"messageType\": \"text\",\n \"isAd\": false,\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"content\": {\n \"text\": \"안녕하세요! 새로운 이벤트 소식을 알려드립니다.\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true
}{
"data": null,
"error": "Sender info is not registered."
}{
"success": false,
"error": "Internal Server Error"
}メッセージ配信
カカオフレンドトークを配信する(2026年5月31日にサポート終了)
カカオフレンドトーク配信用の旧エンドポイントです。送信先リスト、広告の有無、メッセージタイプを指定します。
POST
/
messages
/
kakao-friendtalk
send-kakao-friendtalk
curl --request POST \
--url https://api.notifly.tech/messages/kakao-friendtalk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"messageType": "text",
"isAd": false,
"recipientList": [
{
"recipientNo": "01012345678",
"content": {
"text": "안녕하세요! 새로운 이벤트 소식을 알려드립니다."
}
}
]
}
'import requests
url = "https://api.notifly.tech/messages/kakao-friendtalk"
payload = {
"projectId": "example_project_1234567890abcdef",
"messageType": "text",
"isAd": False,
"recipientList": [
{
"recipientNo": "01012345678",
"content": { "text": "안녕하세요! 새로운 이벤트 소식을 알려드립니다." }
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 'example_project_1234567890abcdef',
messageType: 'text',
isAd: false,
recipientList: [{recipientNo: '01012345678', content: {text: '안녕하세요! 새로운 이벤트 소식을 알려드립니다.'}}]
})
};
fetch('https://api.notifly.tech/messages/kakao-friendtalk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/messages/kakao-friendtalk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => 'example_project_1234567890abcdef',
'messageType' => 'text',
'isAd' => false,
'recipientList' => [
[
'recipientNo' => '01012345678',
'content' => [
'text' => '안녕하세요! 새로운 이벤트 소식을 알려드립니다.'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/messages/kakao-friendtalk"
payload := strings.NewReader("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"messageType\": \"text\",\n \"isAd\": false,\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"content\": {\n \"text\": \"안녕하세요! 새로운 이벤트 소식을 알려드립니다.\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.notifly.tech/messages/kakao-friendtalk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"messageType\": \"text\",\n \"isAd\": false,\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"content\": {\n \"text\": \"안녕하세요! 새로운 이벤트 소식을 알려드립니다.\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/messages/kakao-friendtalk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"messageType\": \"text\",\n \"isAd\": false,\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"content\": {\n \"text\": \"안녕하세요! 새로운 이벤트 소식을 알려드립니다.\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true
}{
"data": null,
"error": "Sender info is not registered."
}{
"success": false,
"error": "Internal Server Error"
}このリファレンスは、旧カカオフレンドトーク用エンドポイントの仕様を説明します。Notiflyの互換サポートは2026年5月31日に終了しました。
- このエンドポイントを利用するには、Notiflyの自社カカオトーク配信の設定が必要でした。
- API経由の配信統計についてはcontact@notifly.techにお問い合わせください。この統計はコンソールには表示されませんでした。
広告フレンドトークから広告SMSに切り替えて配信するには、登録済みの080受信拒否番号が必要でした。
resendContentを指定した場合は、広告SMS APIで定められた必須の広告表記を含める必要がありました。resendContentを省略した場合は、登録済みの080受信拒否番号を使ってNotiflyが広告表記を生成しました。
ボディ
application/json
